tests

## Class PraktikumHolonsTestCategoryController

- java.lang.Object
- - tests.PraktikumHolonsTestCategoryController

    public class PraktikumHolonsTestCategoryController
    extends java.lang.Object

Tests for the CategoryController.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`PraktikumHolonsTestCategoryController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()` Setup for the Tests.
`void` `testAddingAndDeletingCategoriesExtended()` Extended tests for adding and deleting Categories.
`void` `testAddingAndDeletingObjectsExtended()` Extended tests for adding and deleting Objects.
`void` `testAddingAndDeletingObjectsMinimal()` Basic tests for adding and deleting Objects.
`void` `testAddingCategoriesMinimal()` Basic tests for adding new Categories.
`void` `testDeletingCategoriesMinimal()` Basic tests for deleting Categories.
`void` `testInitialCategories()` tests for the Initial Categories.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PraktikumHolonsTestCategoryController

    public PraktikumHolonsTestCategoryController()

### Method Detail

#### setUp

    public void setUp()

Setup for the Tests.

#### testInitialCategories

    public void testInitialCategories()

tests for the Initial Categories.

#### testAddingCategoriesMinimal

    public void testAddingCategoriesMinimal()

Basic tests for adding new Categories.

#### testDeletingCategoriesMinimal

    public void testDeletingCategoriesMinimal()

Basic tests for deleting Categories.

#### testAddingAndDeletingCategoriesExtended

    public void testAddingAndDeletingCategoriesExtended()

Extended tests for adding and deleting Categories.

#### testAddingAndDeletingObjectsMinimal

    public void testAddingAndDeletingObjectsMinimal()

Basic tests for adding and deleting Objects.

#### testAddingAndDeletingObjectsExtended

    public void testAddingAndDeletingObjectsExtended()

Extended tests for adding and deleting Objects.